Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.util
Class StringBuilders

    java.lang.Object
      org.apache.logging.log4j.util.StringBuilders

    public class StringBuilders

extends Object

Consider this class private.

Constructor Summary
`StringBuilders()`

Method Summary
`static StringBuilder` | `appendDqValue(StringBuilder sb, Object value)` Appends in the following format: double quoted value.
`static StringBuilder` | `appendKeyDqValue(StringBuilder sb, Map.Entry<String,String> entry)` Appends in the following format: key=double quoted value.
`static StringBuilder` | `appendKeyDqValue(StringBuilder sb, String key, Object value)` Appends in the following format: key=double quoted value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringBuilders

    public StringBuilders()

Method Detail

### appendDqValue

    public static StringBuilder appendDqValue(StringBuilder sb,
                                              Object value)

  Appends in the following format: double quoted value.

  Parameters:
    `sb` - a string builder
    `value` - a value
  Returns:
    `"value"`

### appendKeyDqValue

    public static StringBuilder appendKeyDqValue(StringBuilder sb,
                                                 Map.Entry<String,String> entry)

  Appends in the following format: key=double quoted value.

  Parameters:
    `sb` - a string builder
    `entry` - a map entry
  Returns:
    `key="value"`

### appendKeyDqValue

    public static StringBuilder appendKeyDqValue(StringBuilder sb,
                                                 String key,
                                                 Object value)

  Appends in the following format: key=double quoted value.

  Parameters:
    `sb` - a string builder
    `key` - a key
    `value` - a value
  Returns:
    `key="value"`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.